from flask import Blueprint
from flask_login import login_required
from app.decorators import admin_required


bp = Blueprint('admin', __name__)


@bp.before_request
@login_required
@admin_required
def before_request():
    '''
    Ensures that the routes in this package can be visited only by users with
    administrator privileges (login_required and admin_required).
    '''
    pass


from . import json_routes, routes
